LibreOffice LibreOffice 6.2 SDK C/C++ API Reference

Static Public Member Functions | List of all members
rtl::StaticAggregate< T, InitAggregate > Class Template Reference

Helper class for a late-initialized static aggregate, e.g. More...

`#include <instance.hxx>`

## Static Public Member Functions
static T * | get ()
| Gets the static aggregate, late-initializing. More...

## Detailed Description

### template<typename T, typename InitAggregate>
class rtl::StaticAggregate< T, InitAggregate >

Helper class for a late-initialized static aggregate, e.g.

an array, implementing the double-checked locking pattern correctly.

Template Parameters

  T | aggregate's element type
  InitAggregate | initializer functor class

## Member Function Documentation

## ◆ get()

template<typename T, typename InitAggregate>

static T* rtl::StaticAggregate< T, InitAggregate >::get | ( |  | ) |
| inline static

Gets the static aggregate, late-initializing.

Mutual exclusion is performed using the osl global mutex.

Returns
  aggregate

The documentation for this class was generated from the following file:

- rtl/instance.hxx